%kmdl misdn

%define realver 1_1_9_2

Summary: mISDN Drivers
Name: misdn
Version: 1.1.9.2
Release: 6%{?dist}
License: GPL2
Group: Applications/Internet
URL: http://www.misdn.org
Source0: http://www.misdn.org/downloads/releases/mISDN-%{realver}.tar.gz
Patch5: misdn-2.6.24.diff
Patch2: mISDN-1_1_7_2-cflags.patch
Patch3: mISDN-1_1_7_2-fixes.patch
Patch4: mISDN-1_1_7_2-usb.patch
Patch0: mISDN-1.1.7-kmem.patch
Patch1: mISDN-1.1.7-dev.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: libxslt
%kmdl_parentdependencies

%description
mISDN Drivers

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
#Requires: misdn = %{evr}

%description devel
Use this package for building/developing applications against %{name}.

%package -n %kmdl_name
%kmdl_dependencies
Summary: kernel modules for %{name}
Group: System Environment/Kernel

%description -n %kmdl_name
kernel modules for %{name}. See description for %{name} for further information.

%kmdl_desc

%prep
%setup -q -n mISDN-%{realver}
#%patch5 -p1 -b .2624fixes
#%patch2 -p1 -b .cflags
#patch3 -p1 -b .fixes
#patch4 -p1 -b .usb
#patch0 -p1 -b .kmem
#patch1 -p1 -b .dev
for inc in isdn_compat.h mISDNdebugtool.h mISDNif.h; do
  grep -rl "#include <linux/$inc>" . | xargs perl -pi -e"s,#include <linux/$inc>,#include \"linux/$inc\","
done

%build
%if %{kmdl_userland}

#make INSTALL_PREFIX=%{buildroot}
echo "Done..."

%else

%kmdl_config
make LINUX=%{kmdl_kernelsrcdir} \
     LINUX_SOURCE=%{kmdl_kernelsrcdir} \
     INSTALL_PREFIX=%{buildroot} \
     CC="%{_kernelcompiler} -I`pwd`/include"

%endif

%install
rm -rf %{buildroot}

%if %{kmdl_userland}

# make INSTALL_PREFIX=%{buildroot} install
## Devel files
mkdir -p %{buildroot}%{_includedir}/linux/
cp include/linux/*.h %{buildroot}%{_includedir}/linux/

## misdn-init
# mkdir -p $(INSTALL_PREFIX)/usr/sbin/
# install -m755 misdn-init $(INSTALL_PREFIX)/usr/sbin/
# mkdir -p $(INSTALL_PREFIX)/etc/init.d/
# ln -s $(INSTALL_PREFIX)/usr/sbin/misdn-init $(INSTALL_PREFIX)/etc/init.d/misdn-init

## modprobe.conf
mkdir -p %{buildroot}%{_sysconfdir}/modprobe.d
cp mISDN.modprobe.d %{buildroot}%{_sysconfdir}/modprobe.d/mISDN

## mISDN
pushd config
mkdir -p %{buildroot}%{_initrddir}
install -D -m755 mISDN %{buildroot}%{_sbindir}/mISDN
install -D -m755 mISDN %{buildroot}%{_initrddir}/mISDN
## Configfiles
for file in $(ls *.xsl); do install -D -m644 ${file} %{buildroot}/%{_libdir}/mISDN/${file}; done
popd

%else

pushd %{kmdl_kernelsrcdir}
make LINUX=%{kmdl_kernelsrcdir} \
     LINUX_SOURCE=%{kmdl_kernelsrcdir} \
     INSTALL_MOD_PATH=%{buildroot} SUBDIRS=%{_builddir}/%{buildsubdir}/drivers/isdn/hardware/mISDN INSTALL_MOD_DIR=updates modules_install
popd
mkdir -p %{buildroot}%{kmdl_moduledir}
if [ -d %{buildroot}%{kmdl_moduledir}/../extra ]; then
  mkdir -p %{buildroot}%{kmdl_moduledir}/drivers/isdn/
  mv %{buildroot}%{kmdl_moduledir}/../extra/* %{buildroot}%{kmdl_moduledir}/drivers/isdn/
fi

%endif

%clean
rm -rf %{buildroot}

%post -n %kmdl_name
%kmdl_install

%postun -n %kmdl_name
%kmdl_remove

%if %{kmdl_userland}

%files
%defattr(-,root,root,-)
%doc CHANGES config/README.mISDN
%{_sbindir}/mISDN
%{_sysconfdir}/modprobe.d/mISDN
%{_initrddir}/mISDN
%dir %{_libdir}/mISDN
%{_libdir}/mISDN/mISDN.conf.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/linux/*.h

%else

%files -n %kmdl_name
%defattr(-,root,root,-)
%{kmdl_moduledir}/*

%endif

%changelog
* Mon Aug 24 2009 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1.1.9.2-6
- Added missing requirements.

* Mon Aug 10 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.9.2-6
- Update to 1.1.9.2.

* Fri Jan 30 2009 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1.1.9.1-4
- Update to 1.1.9.1.

* Thu Jul 3 2008 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1.1.8-3
- Update to 1.1.8.

* Sat Mar 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.7.2-2
- Update to 1.1.7.2.

* Sun Dec 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.7-1
- Make build pick %%{kmdl_kernelsourcedir} instead of /lib/modules.
- Fix kmem_cache_create invocation on 2.6.23+.
- Fix void unregister_chrdev.

* Thu Dec 13 2007 Tim Verhoeven <tim.verhoeven.be@gmail.com> - 1.1.7-0
- Initial build.

